// file: $isip/doc/examples/class/math/vector/math_vector_example_02/example.cc
// version: $Id: example.cc 7621 2002-01-19 07:24:41Z parihar $
//

// isip include files
//
#include <VectorFloat.h>
#include <VectorComplexFloat.h>

// main program starts here: this example demonstrates how the vector
// class can be used to convert a real vector into a complex vector
// assuming imaginary parts as zero
//
int main() {
  
  // declare a real vector and a complex vector
  //
  VectorFloat real;
  VectorComplexFloat complex;

  // define the elements of the real vector
  //
  real.assign(L"3.5, 6.4, 5.9, 0.11, 0.76");

  // convert the real to a complex type assuming zero imaginary parts
  //
  complex.assign(real);
  
  // writing the result
  //
  real.debug(L"the real vector is ");
  complex.debug(L"the equivalent complex vector is ");
	
  // exit gracefully
  //
  Integral::exit();
}
